guix-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

05/05: guix-install.sh: Gracefully fail on | bash.


From: guix-commits
Subject: 05/05: guix-install.sh: Gracefully fail on | bash.
Date: Wed, 14 Dec 2022 10:45:56 -0500 (EST)

nckx pushed a commit to branch master
in repository guix.

commit 6cf6f423340f060e523c007205b691ec68120f50
Author: Tobias Geerinckx-Rice <me@tobias.gr>
AuthorDate: Sun Dec 11 01:00:00 2022 +0100

    guix-install.sh: Gracefully fail on | bash.
    
    * etc/guix-install.sh (welcome): Print an error message and a hint if
    the first read fails.
---
 etc/guix-install.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index fb9006b3e2..f008593d84 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -615,7 +615,10 @@ https://www.gnu.org/software/guix/
 EOF
     # Don't use ‘read -p’ here!  It won't display when run non-interactively.
     echo -n "Press return to continue..."$'\r'
-    read -r char
+    if ! read -r char; then
+       echo
+       die "Can't read standard input.  Hint: don't pipe scripts into a shell."
+    fi
     if [ "$char" ]; then
        echo
        echo "...that ($char) was not a return!"



reply via email to

[Prev in Thread] Current Thread [Next in Thread]